'''
    Tetris 101:
    https://strategywiki.org/wiki/Tetris/Getting_Started
    https://tetris.com/play-tetris
'''

# TODO review imports to make sure it is being done correctly

from Tetris import Tetris
from util.ConfigurationManager import ConfigurationManager

def main() -> None:
    ConfigurationManager.load()

    tetris = Tetris()
    tetris.initialize()

    while True:
        tetris.update()
        tetris.draw()

# start main function
main()  